document.addEventListener('DOMContentLoaded', function() {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handler
  const form = document.getElementById('contactForm');
  if (form) {
    form.addEventListener('submit', function(e) {
      e.preventDefault();
      const formData = new FormData(form);
      // Add animation to button
      const button = form.querySelector('button');
      button.textContent = 'Thanks!';
      button.style.background = '#4CAF50';
      setTimeout(() => {
        button.textContent = 'Get Started';
        button.style.background = '';
        form.reset();
      }, 2000);
    });
  }

  // Parallax effect for floating charts
  window.addEventListener('scroll', function() {
    const charts = document.querySelectorAll('.chart-card');
    const scrolled = window.pageYOffset;
    charts.forEach(chart => {
      const speed = 0.5;
      chart.style.transform = `translateY(${scrolled * speed}px)`;
    });
  });
});
